c
c
c
	character datafl*40,outfl*40,str*80

	write(*,*) 'Enter the name of the data file'
	read(*,'(a40)') datafl
	write(*,*) 'Enter the name of the output file'
	read(*,'(a40)') outfl

	open(2,file=outfl)
	write(2,100)
 100	format('Title',/,'2',/,'Number of Perturbations',/,'Obj Func')

	open(1,file=datafl)
 1	read(1,'(a80)') str
	if(str(1:1).eq.'0') then
		backspace 1
		go to 2
	end if
	go to 1
 2	continue

 3	read(1,'(a80)',end=4) str
	if(str(1:1).eq.' ') go to 4
	backspace 1
	read(1,*) i,npert,o1,o2
	obj  = o1 + o2
	pert = real(npert) / 1000.0
	write(2,'(f7.1,1x,f8.5)') pert,obj
	go to 3	

 4	close(1)
	close(2)

	stop
	end
